<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Activity A</title>


</head>

<body>
<p><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>
<hr>

<h1>Software Engineering Code of Ethics and Professional Practice</h1>

<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>

<hr>

<p><strong>Keywords:</strong> code of ethics, professionals responsibility, software engineering</p>

<h3>PREAMBLE</h3>

<p>The short version of the code summarizes aspirations at the high level of abstration. The Clauses that are included in the full version give me examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can be legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details from cohesive code.</p>


<p>Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintance of software a beneficial and respected profession. In accordance with their commintment to the health, safety, and welfare of the public, software engineeers shall adhere to the following eight Principles.</p>

<h3>PRINCIPLES</h3>

<ol>
	<li><em>Public.</em> Software engineers shall act consistenly with the public interest.</li>
	<li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
	<li><em>Product.</em>Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
	<li><em>Judgement.</em>Software engineers shall minimum integrity and indepence in their professional judgement.</li>
	<li><em>Management.</em>Software engineering managers and leaders shal subscribe to and promote an ethical approach to the management of the software development and maintenance.</li>
	<li><em>Profession. </em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest</li>
	<li><em>Colleagues.</em>Software enginees shall be fair to and supportive to their colleagues.</li>
	<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the preactice of their profession and shall promote an ethical approach to the practice of the profession.</li>
</ol>


</html>